class TSnapshot<T> {
  final T data;
  final MetaData metaData;

  TSnapshot(this.data, {required this.metaData});
}

class MetaData {
  final bool hasPendingWrites;
  final bool isFromCache;

  MetaData({required this.hasPendingWrites, required this.isFromCache});
}
