import '../firestore_repository_helper.dart';

extension FirestoreObjectExtension<T extends FirestoreObject<T>>
    on FirestoreObject<T> {
  T withId(String id) {
    set(id);
    return this as T;
  }
}
